Restore a removed comment where you moderate
POST /api/member/comments/{commentId}/restore. Restore a removed comment where you moderate. Headless LMS Discussion API reference.
Needs courses:moderate on the course for an activity comment, or communities:moderate on the community for a post comment. Publishes the comment again; a comment that is not removed is returned unchanged.
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/comments/string/restore"{ "id": "string", "activityId": "string", "postId": "string", "communityId": "string", "parentId": "string", "author": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "team": true, "roleName": "string" }, "body": "string", "status": "pending", "removedBy": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "team": true, "roleName": "string" }, "reactions": { "property1": 0, "property2": 0 }, "viewerReaction": "string", "mentions": [ { "orgUserId": "string", "name": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Dismiss the open flags on a comment in a space you moderate POST
POST /api/member/comments/{commentId}/flags/resolve. Dismiss the open flags on a comment in a space you moderate. Headless LMS Discussion API reference.
Publish a comment awaiting review where you moderate POST
POST /api/member/comments/{commentId}/approve. Publish a comment awaiting review where you moderate. Headless LMS Discussion API reference.